Skip to main content
GET
List Refunds

Authorizations

x-access-id
string
header
required

UUID of the service account (e.g., 550e8400-e29b-41d4-a716-446655440000)

X-PoP-Challenge
string
header
required

Unix timestamp in milliseconds (e.g., 1704636800000). Must be within 5 minutes of server time.

X-PoP-Format
string
header
required

Must be 'service-account' for service account authentication

X-PoP-Signature
string
header
required

EdDSA signature of the request in base64 format. Signs: uri:method:body:timestamp

Query Parameters

external_reference_id
string | null

External reference identifier to filter refunds

original_transaction_id
integer<int64> | null

Original transaction identifier to filter refunds (exact match)

limit
integer<int32> | null

Maximum number of refunds to return (1–100, default: 20)

Required range: x >= 0
cursor
string | null

Cursor for pagination (format: timestamp_micros:id)

Response

Refunds retrieved successfully

refunds
object[]
required

List of refunds

next_cursor
string | null

Cursor for the next page of results. If null, there are no more results.